Echo API
  1. Customer
Echo API
  • Echo Partner Portal
    • Customer
      • Create Customer
        POST
      • Amend Customer
        POST
      • Get Customer
        GET
      • Get All Customers
        GET
      • Offboard Customer
        POST
    • Partner
      • Create Partner
      • Amend Partner
      • Get Partner
      • Get All Partners
      • Offboard Partner
  • Echo Development API
    • Check Participants
      POST
  1. Customer

Amend Customer

POST
https://partner.meetecho.io/api/1.1/wf/amend_customer

Request

Body Params multipart/form-dataRequired

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://partner.meetecho.io/api/1.1/wf/amend_customer' \
--form 'authorization="jLPvKtdTshonfWigYPMR"' \
--form 'id="1767966183273x741973433215279400"' \
--form 'company_name="apitest"' \
--form 'seats_allocated="1"' \
--form 'cost_per_seat="1"' \
--form 'admin_email="test@test.com"' \
--form 'reference_id="12345"'
Response Response Example
{
    "status": "success",
    "response": {
        "status": "success",
        "customer": {
            "customerAdminEmails": [
                "test@test.com"
            ],
            "customerSeatsAllocated": 1,
            "customerCostPerSeat(pounds)": 1,
            "_id": "1767966183273x741973433215279400",
            "Created Date": 1767966183296,
            "customerInvitationUUID": "1767966183739x920468507580353200",
            "customerCompanyName": "apitest",
            "customerReferenceID": "12345",
            "Modified Date": 1768295837050,
            "Created By": "1756321930436x566492739762314940"
        }
    }
}
Modified at 2026-01-13 09:24:55
Previous
Create Customer
Next
Get Customer
Built with